Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.examples.checklist.impl
Class DefaultChecklistItem

    java.lang.Object
      org.jbpm.examples.checklist.impl.DefaultChecklistItem

All Implemented Interfaces:
  ChecklistItem

    public class DefaultChecklistItem

extends Object
implements ChecklistItem

Nested Class Summary

Nested classes/interfaces inherited from interface org.jbpm.examples.checklist.ChecklistItem
`ChecklistItem.Status`

Constructor Summary
`DefaultChecklistItem(String name, ChecklistItem.Status status, Long taskId, String type, String actors, long priority, String processId, Long processInstanceId, String orderingNb)`

Method Summary
`String` | `getActors()`
`String` | `getName()`
`String` | `getOrderingNb()`
`long` | `getPriority()`
`String` | `getProcessId()`
`Long` | `getProcessInstanceId()`
`ChecklistItem.Status` | `getStatus()`
`Long` | `getTaskId()`
`String` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultChecklistItem

    public DefaultChecklistItem(String name,
                                ChecklistItem.Status status,
                                Long taskId,
                                String type,
                                String actors,
                                long priority,
                                String processId,
                                Long processInstanceId,
                                String orderingNb)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `ChecklistItem`

### getStatus

    public ChecklistItem.Status getStatus()

  Specified by:
    `getStatus` in interface `ChecklistItem`

### getTaskId

    public Long getTaskId()

  Specified by:
    `getTaskId` in interface `ChecklistItem`

### getType

    public String getType()

  Specified by:
    `getType` in interface `ChecklistItem`

### getActors

    public String getActors()

  Specified by:
    `getActors` in interface `ChecklistItem`

### getPriority

    public long getPriority()

  Specified by:
    `getPriority` in interface `ChecklistItem`

### getProcessId

    public String getProcessId()

  Specified by:
    `getProcessId` in interface `ChecklistItem`

### getProcessInstanceId

    public Long getProcessInstanceId()

  Specified by:
    `getProcessInstanceId` in interface `ChecklistItem`

### getOrderingNb

    public String getOrderingNb()

  Specified by:
    `getOrderingNb` in interface `ChecklistItem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.